Index: code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout
===================================================================
--- code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11125)
+++ code/branches/ogre1.9/data/gui/layouts/GameplayMenu.layout	(revision 11211)
@@ -1,67 +1,66 @@
-<?xml version="1.0" encoding="UTF-8"?>
-
-<GUILayout >
-    <Window Type="MenuWidgets/StaticImage" Name="orxonox/GameplayBackground" >
-        <Property Name="FrameEnabled" Value="False" />
-        <Property Name="InheritsAlpha" Value="False" />
-        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-        <Property Name="BackgroundEnabled" Value="False" />
-        <Window Type="MenuWidgets/StaticText" Name="orxonox/GameplayWindow" >
-            <Property Name="Text" Value="Gameplay" />
-            <Property Name="Alpha" Value="0.8" />
-            <Property Name="InheritsAlpha" Value="False" />
-            <Property Name="HorzFormatting" Value="HorzCentred" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/Difficulty" >
-                <Property Name="Text" Value="Difficulty" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyEasyButton" >
-                    <Property Name="Text" Value="Easy" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.325,0},{0.675,0},{0.45,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyEasyButton_clicked"/>
+<?xml version='1.0' encoding='utf-8'?>
+<GUILayout version="4">
+    <Window name="GameplayBackground" type="MenuWidgets/StaticImage">
+        <Property name="FrameEnabled" value="False" />
+        <Property name="InheritsAlpha" value="False" />
+        <Property name="MaxSize" value="{{1,0},{1,0}}" />
+        <Property name="Area" value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property name="BackgroundEnabled" value="False" />
+        <Window name="GameplayWindow" type="MenuWidgets/StaticText">
+            <Property name="Text" value="Gameplay" />
+            <Property name="Alpha" value="0.8" />
+            <Property name="InheritsAlpha" value="False" />
+            <Property name="HorzFormatting" value="HorzCentred" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="VertFormatting" value="TopAligned" />
+            <Property name="Area" value="{{0.25,0},{0.3625,0},{0.75,0},{0.6375,0}}" />
+            <Window name="Difficulty" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Difficulty" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.05,0},{0.2,0},{0.475,0},{0.9,0}}" />
+                <Window name="DifficultyEasyButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Easy" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.325,0},{0.675,0},{0.45,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyEasyButton_clicked" name="SelectStateChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyNormalButton" >
-                    <Property Name="Text" Value="Normal" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.525,0},{0.675,0},{0.65,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyNormalButton_clicked"/>
+                <Window name="DifficultyNormalButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Normal" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.525,0},{0.675,0},{0.65,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyNormalButton_clicked" name="SelectStateChanged" />
                 </Window>
-                <Window Type="MenuWidgets/RadioButton" Name="orxonox/DifficultyHardButton" >
-                    <Property Name="Text" Value="Hard" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.325,0},{0.725,0},{0.675,0},{0.85,0}}" />
-                    <Event Name="SelectStateChanged" Function="GameplayMenu.GameplayDifficultyHardButton_clicked"/>
+                <Window name="DifficultyHardButton" type="MenuWidgets/RadioButton">
+                    <Property name="Text" value="Hard" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.325,0},{0.725,0},{0.675,0},{0.85,0}}" />
+                    <Event function="GameplayMenu.GameplayDifficultyHardButton_clicked" name="SelectStateChanged" />
                 </Window>
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/Theme" >
-                <Property Name="Text" Value="Theme" />
-                <Property Name="InheritsAlpha" Value="False" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
-                <Window Type="MenuWidgets/Combobox" Name="orxonox/ThemeCombobox" >
-                    <Property Name="AlwaysOnTop" Value="True" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
-                    <Property Name="MaxEditTextLength" Value="1073741823" />
-                    <Property Name="ReadOnly" Value="True" />
-                    <Event Name="ListSelectionAccepted" Function="GameplayMenu.GameplayThemeCombobox_changed" />
+            <Window name="Theme" type="MenuWidgets/StaticText">
+                <Property name="Text" value="Theme" />
+                <Property name="InheritsAlpha" value="False" />
+                <Property name="HorzFormatting" value="HorzCentred" />
+                <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                <Property name="VertFormatting" value="TopAligned" />
+                <Property name="Area" value="{{0.525,0},{0.2,0},{0.95,0},{0.9,0}}" />
+                <Window name="ThemeCombobox" type="MenuWidgets/Combobox">
+                    <Property name="AlwaysOnTop" value="True" />
+                    <Property name="MaxSize" value="{{1,0},{1,0}}" />
+                    <Property name="Area" value="{{0.05,0},{0.21,0},{0.95,0},{0.9,0}}" />
+                    <Property name="MaxEditTextLength" value="1073741823" />
+                    <Property name="ReadOnly" value="True" />
+                    <Event function="GameplayMenu.GameplayThemeCombobox_changed" name="ListSelectionAccepted" />
                 </Window>
             </Window>
         </Window>
-        <Window Type="MenuWidgets/Button" Name="orxonox/GameplayBackButton" >
-            <Property Name="Text" Value="Back" />
-            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-            <Property Name="UnifiedAreaRect" Value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
-            <Event Name="Clicked" Function="GameplayMenu.GameplayBackButton_clicked"/>
+        <Window name="GameplayBackButton" type="MenuWidgets/Button">
+            <Property name="Text" value="Back" />
+            <Property name="MaxSize" value="{{1,0},{1,0}}" />
+            <Property name="Area" value="{{0.4,0},{0.6625,0},{0.6,0},{0.7125,0}}" />
+            <Event function="GameplayMenu.GameplayBackButton_clicked" name="Clicked" />
         </Window>
     </Window>
